local init = PlayerDriving.init
function PlayerDriving:init(...)
	local projectile_entry = managers.blackmarket:equipped_projectile()
	local projectile_tweak = tweak_data.blackmarket.projectiles[projectile_entry]
	self.projectile_ability = projectile_tweak.ability
	init(self, ...)
end

local _update_check_actions_driver = PlayerDriving._update_check_actions_driver
function PlayerDriving:_update_check_actions_driver(t, dt, input)
	if self._controller:get_input_pressed("throw_grenade") and self.projectile_ability then
		self:_check_action_use_ability(t, input)
	end
	_update_check_actions_driver(self, t, dt, input)
end

local _update_check_actions_passenger_no_shoot = PlayerDriving._update_check_actions_passenger_no_shoot
function PlayerDriving:_update_check_actions_passenger_no_shoot(t, dt, input)
	if self._controller:get_input_pressed("throw_grenade") and self.projectile_ability then
		self:_check_action_use_ability(t, input)
	end
	_update_check_actions_passenger_no_shoot(self, t, dt, input)
end