local init = PlayerStandard.init
function PlayerStandard:init(...)
	local projectile_entry = managers.blackmarket:equipped_projectile()
	local projectile_tweak = tweak_data.blackmarket.projectiles[projectile_entry]
	self.projectile_ability = projectile_tweak.ability
	init(self, ...)
end

local _update_check_actions = PlayerStandard._update_check_actions
function PlayerStandard:_update_check_actions(t, ...)
	if self._controller:get_input_pressed("throw_grenade") and self.projectile_ability then
		local input = self:_get_input(t, ...)
		self:_check_action_use_ability(t, input)
	end
	_update_check_actions(self, t, ...)
end

local _check_action_throw_projectile = PlayerStandard._check_action_throw_projectile
function PlayerStandard:_check_action_throw_projectile(...)
	if not self.projectile_ability then
		_check_action_throw_projectile(self, ...)
	end
end